You are viewing the PKP Support Forum | PKP Home Wiki

Upgrading from 2.2.3 to 2.3.8

Are you responsible for making OJS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
The Public Knowledge Project Support Forum is moving to http://forum.pkp.sfu.ca

This forum will be maintained permanently as an archived historical resource, but all new questions should be added to the new forum. Questions will no longer be monitored on this old forum after March 30, 2015.

Upgrading from 2.2.3 to 2.3.8

Postby vicenc.fernandez » Fri Oct 19, 2012 4:25 am

I decided to upgrade my OJS from 2.2.3 to 2.3.8. I follow the third way: Full Package, but when I'm upgrading the Database, the following message appear: DB Error: Duplicate entry 'interest-4096-8' for key 'controlled_vocab_symbolic'

Do you have any idea how to solve this problem??

Thank you,
Posts: 5
Joined: Thu Nov 06, 2008 9:16 am

Re: Upgrading from 2.2.3 to 2.3.8

Postby felypesantos » Fri Dec 07, 2012 1:52 pm

I have a similar problem. In version upgrade 2.2.4 for 2.3.8.

I downloaded the full version 2.3.8.
Setting permissions on files and directories 777 public, cache/* and config.inc.php
Changed to installed = Off in the file config.inc.php and set the same settings from my old install 2.2.4.
For the webpage selected the option to update and get the error message:

DB Error: Duplicate entry 'interest-4096-3540' for key 'controlled_vocab_symbolic'

Any sugestions?
Felipe Camara
Posts: 2
Joined: Fri Dec 07, 2012 12:45 pm

Return to OJS Technical Support

Who is online

Users browsing this forum: No registered users and 4 guests